using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace Howest.SchemaDiscovery.Configuration
{
	public class SchemaDiscoverySectionGroup : ConfigurationSectionGroup
	{
		public static SchemaDiscoverySectionGroup GetSectionGroup(System.Configuration.Configuration config)
		{
			if (config == null)
				throw new ArgumentNullException("config");
			return (SchemaDiscoverySectionGroup)config.GetSectionGroup("howest.schemadiscovery");
		}

		public DbSchemaProvidersSection DbSchemaProviders
		{
			get { return (DbSchemaProvidersSection)this.Sections["schemaProviders"]; }
		}
	
	}
}
